<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
	        http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
	        http://www.springframework.org/schema/context
	        http://www.springframework.org/schema/context/spring-context.xsd
          http://www.springframework.org/schema/mvc
        http://www.springframework.org/schema/mvc/spring-mvc.xsd">
  
  
  <context:component-scan base-package="it.unimib"/>
  <context:property-placeholder properties-ref="properties" />

  <bean class="org.springframework.web.servlet.view.InternalResourceViewResolver">
    <property name="prefix" value="/WEB-INF/jsp/"/>
    <property name="suffix" value=".jsp"/>
  </bean>

  <mvc:annotation-driven/>
  <mvc:resources mapping="/resources/**" location="/resources/"/>

  <mvc:interceptors>
    <bean id="sessionInterceptor" class="it.unimib.inf.ldp.hermes.web.interceptors.SessionInterceptor"/>
  </mvc:interceptors>

  <bean id="properties" class="org.springframework.beans.factory.config.PropertiesFactoryBean">
    <property name="location">
      <value>application.properties</value>
    </property>
  </bean>


</beans>